version: '3'

services:
  mfbot:
    build: ./mfbot
    container_name: mfbot
    restart: always
    networks:
      - mfnetwork
    volumes:
      - botdata:/bot

  webinterface:
    build: ./webinterface
    container_name: webinterface
    restart: always
    ports:
      - 8050:8050
    depends_on:
      - mfbot
    networks:
      - mfnetwork
    environment:
      BOT_IP: mfbot
      BOT_PORT: 1029
      BOT_USERNAME: admin
      BOT_PASSWORD: admin
      WEB_USERNAME: admin
      WEB_PASSWORD: admin

networks:
  mfnetwork:
    driver: bridge

volumes:
  botdata: